//------------------------------------------------------------------------------------
// irr::gui::IGUIMeshViewer wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------

extern "C" {

	SMaterial* IrrGUI_IGUIMeshViewer_getMaterial(IGUIMeshViewer* mv)
	{
		if (mv)
			return new SMaterial(mv->getMaterial());
		else
			return 0;
	}

	void IrrGUI_IGUIMeshViewer_setMaterial(IGUIMeshViewer* mv,SMaterial* material)
	{
		if (mv)
			mv->setMaterial(*material);
	}

	void IrrGUI_IGUIMeshViewer_setMesh(IGUIMeshViewer* mv,IAnimatedMesh* mesh)
	{
		if (mv)
			mv->setMesh(mesh);
	}

	IAnimatedMesh* IrrGUI_IGUIMeshViewer_getMesh(IGUIMeshViewer* mv)
	{
		if (mv)
			return mv->getMesh();
		else return 0;
	}
}

